Main Page Widgets Namespaces Book

# Gdk::PixbufAnimation Class Reference

Inheritance diagram for Gdk::PixbufAnimation:

[legend]
List of all members.

## Public Member Functions

virtual | ~PixbufAnimation ()
GdkPixbufAnimation* | gobj ()
| Provides access to the underlying C GObject.
const GdkPixbufAnimation* | gobj () const
| Provides access to the underlying C GObject.
GdkPixbufAnimation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
int | get_width () const
int | get_height () const
bool | is_static_image () const
Glib::RefPtr<Pixbuf> | get_static_image ()
Glib::RefPtr<PixbufAnimationIter> | get_iter (const GTimeVal* start_time)

## Static Public Member Functions

Glib::RefPtr<PixbufAnimation> | create_from_file (const Glib::ustring& filename)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gdk::PixbufAnimation> | wrap (GdkPixbufAnimation* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gdk::PixbufAnimation::~PixbufAnimation | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<PixbufAnimation> Gdk::PixbufAnimation::create_from_file | ( | const Glib::ustring& | filename | ) | `[static]`

int Gdk::PixbufAnimation::get_height | ( |  | ) | const

Glib::RefPtr<PixbufAnimationIter> Gdk::PixbufAnimation::get_iter | ( | const GTimeVal* | start_time | ) |

Glib::RefPtr<Pixbuf> Gdk::PixbufAnimation::get_static_image | ( |  | ) |

int Gdk::PixbufAnimation::get_width | ( |  | ) | const

const GdkPixbufAnimation* Gdk::PixbufAnimation::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkPixbufAnimation* Gdk::PixbufAnimation::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkPixbufAnimation* Gdk::PixbufAnimation::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gdk::PixbufAnimation::is_static_image | ( |  | ) | const

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::PixbufAnimation> wrap | ( | GdkPixbufAnimation* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- pixbufanimation.h